package edu.mermet.buttonup.vue;

import edu.mermet.buttonup.modele.Partie;
import javax.swing.JPanel;
import java.awt.BorderLayout;
import java.awt.Label;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeEvent;

public class PartieVue extends JPanel{

  private Partie partie;
  private int scoreRouge;
  private int scoreNoir;
  private PropertyChangeListener plRouge;
  private PropertyChangeListener plNoir;

  public PartieVue(Partie partie){
    this.partie = partie;
    this.plRouge = new PropertyChangeListener(){
      @Override
      public void propertyChange(PropertyChangeEvent evt) {
        scoreRouge = ((int) (evt.getNewValue()));
      }
    };

    this.plNoir = new PropertyChangeListener(){
      @Override
      public void propertyChange(PropertyChangeEvent evt) {
        scoreNoir = ((int) (evt.getNewValue()));
      }
    };

    partie.addPropertyChangeListener("rouge", plRouge);
    partie.addPropertyChangeListener("noir", plNoir);
  }

  public void init(){
    setLayout(new BorderLayout());
    add(new Label("Score Joueur rouge : " + this.scoreRouge) ,BorderLayout.EAST);
    add(new Label("Score Joueur noir : " + this.scoreNoir) ,BorderLayout.WEST);
  }

}
