package edu.mermet.buttonup.vue;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.JComponent;

import java.util.List;

import edu.mermet.buttonup.modele.Pile;
import edu.mermet.buttonup.modele.Bouton;

public class PileVue extends JComponent {
    public static final int WIDTH = 50;
    public static final int HEIGHT = 100;

    public static final Color BLANC = Color.white;
    public static final Color ROUGE = Color.red;
    public static final Color NOIR = Color.black;

    private Pile pile;
    private int pileNum;

    public PileVue(Pile pile, int pileNum) {
        this.pile = pile;
        this.pileNum = pileNum;
    }

    public Pile getPile() {
        return pile;
    }

    public int getPileNum() {
        return pileNum;
    }

    public int getWidth() {
        return PileVue.WIDTH;
    }

    public int getHeight() {
        return PileVue.HEIGHT;
    }

    public Dimension getPrefferedSize() {
        return new Dimension(PileVue.WIDTH, PileVue.HEIGHT);
    }

    public void paintComponent(Graphics g) {
        List<Bouton> butList = pile.getList();

        g.setColor(PileVue.BLANC);
        g.fillRect(0, 0, getWidth(), getHeight());

        final int BUTTON_WIDTH = getWidth();
        final int BUTTON_HEIGHT = getHeight() / 10;

        for (int i = 0; i < butList.size(); i++) {
            Bouton button = butList.get(i);
            switch (button) {
                case blanc: g.setColor(PileVue.BLANC); break;
                case rouge: g.setColor(PileVue.ROUGE); break;
                case noir: g.setColor(PileVue.NOIR); break;
            }

            g.fillRect(
                0,
                getHeight() - BUTTON_HEIGHT * (i + 1),
                BUTTON_WIDTH,
                BUTTON_HEIGHT
            );

            g.setColor(PileVue.NOIR);
            g.drawRect(
                0,
                getHeight() - BUTTON_HEIGHT * (i + 1),
                BUTTON_WIDTH,
                BUTTON_HEIGHT
            );
        }
    }
}
